package cn.qinys.platform.base.security.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Description:
 *
 * @author tanlie
 * Date: 2023/12/22 17:06
 */
public class Constants {
    private Constants(){}

    @Getter
    @AllArgsConstructor
    public enum JwtEnum {
        // 基础枚举类
        AUTHORIZATION("Authorization", "权限头"),
        BEARER("Bearer ", "jwtToken的头"),
        TOKEN("token", "Token的paramKey"),
        ;

        private final String code;
        private final String desc;
    }


    @Getter
    @AllArgsConstructor
    public enum YesOrNoCons {
        // 是否的构造
        YES("1", "是"),
        NO("0", "否");
        private final String code;
        private final String desc;
    }
}
